You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cassandra.apache.org by mc...@apache.org on 2022/05/20 11:24:39 UTC

[cassandra-builds] branch trunk updated: Add some fast-fast checks to prepare_release.sh

This is an automated email from the ASF dual-hosted git repository.

mck pushed a commit to branch trunk
in repository https://gitbox.apache.org/repos/asf/cassandra-builds.git


The following commit(s) were added to refs/heads/trunk by this push:
     new 69e8262  Add some fast-fast checks to prepare_release.sh
69e8262 is described below

commit 69e82627e0e3cea4646127d0ae7ecb3895065e36
Author: Mick Semb Wever <mc...@apache.org>
AuthorDate: Tue May 3 16:37:57 2022 +0200

    Add some fast-fast checks to prepare_release.sh
---
 cassandra-release/prepare_release.sh | 25 +++++++++++++++++++++++++
 1 file changed, 25 insertions(+)

diff --git a/cassandra-release/prepare_release.sh b/cassandra-release/prepare_release.sh
index 031c550..bc25f6b 100755
--- a/cassandra-release/prepare_release.sh
+++ b/cassandra-release/prepare_release.sh
@@ -122,6 +122,31 @@ then
     exit 1
 fi
 
+if curl --output /dev/null --silent --head --fail "https://dist.apache.org/repos/dist/dev/cassandra/${release}" ; then
+    echo "The release candidate for ${release} is already staged at https://dist.apache.org/repos/dist/dev/cassandra/${release}"
+    exit 1
+fi
+
+if curl --output /dev/null --silent --head --fail "https://archive.apache.org/dist/cassandra/${release}" ; then
+    echo "A published release for ${release} is already public at https://archive.apache.org/dist/cassandra/${release}"
+    exit 1
+fi
+
+if curl --output /dev/null --silent --head --fail "https://github.com/apache/cassandra/tree/${release}-tentative" ; then
+    echo "The release candidate tag for ${release}-tentative is already at https://github.com/apache/cassandra/tree/${release}-tentative"
+    exit 1
+fi
+
+if curl --output /dev/null --silent --head --fail "https://github.com/apache/cassandra/tree/cassandra-${release}" ; then
+    echo "The published release tag for ${release} is already at https://github.com/apache/cassandra/tree/cassandra-${release}"
+    exit 1
+fi
+
+if git tag -l | grep -q "${release}-tentative"; then
+    echo "Local git tag for ${release}-tentative already exists"
+    exit 1
+fi
+
 if [ $only_deb -eq 0 ] && [ $only_rpm -eq 0 ]
 then
     head_commit=`git log --pretty=oneline -1 | cut -d " " -f 1`


---------------------------------------------------------------------
To unsubscribe, e-mail: commits-unsubscribe@cassandra.apache.org
For additional commands, e-mail: commits-help@cassandra.apache.org